Subject: bug#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6

From: Yuan Fu <[email-masked]>
Date: Tue, 27 Aug 2024 01:22:42 -0700

> On Jul 29, 2024, at 3:17 PM, Gonzalo Larumbe <[email-masked]> wrote:
> 
> Hi,
> 
> After updating tree-sitter on Arch Linux from 0.22.1 to 0.22.6 there seems to be an error with the detection of some comment nodes under `vhdl-ts-mode`.
> 
> In the attached VHDL file, if placing the cursor at the comment of line 10, running:
> `(treesit-node-at (point) 'vhdl)` returns `#<treesit-node block_header in 329-358>`. However, the side by side view shows that the parser correctly detects a comment (see attached screenshot). This worked well with the previous tree-sitter version.
> Thanks a lot!
> 
> Gonzalo
> 
> <treesit-vhdl-bug.vhdl>

Thank you for your report, Gonzalo! And sorry for the delay. I properly looked into this today, and confirmed that this is a tree-sitter bug. I raised an issue here: https://github.com/tree-sitter/tree-sitter/issues/3555

Sadly, there’s not much we can do right now. There was another similar bug in tree-sitter, which I worked around by using another function. But now that “another function” is also broken, oh well :-(

Yuan